package com.kakao.sdk.sample.kakaotalk;

import android.content.Context;
import android.content.DialogInterface;

import com.kakao.sdk.sample.R;
import com.kakao.sdk.sample.common.widget.DialogBuilder;
import com.kakao.util.helper.log.Logger.DeployPhase;

/**
 * @author leoshin on 15. 9. 4.
 */
class TalkMessageHelper {

    static String getSampleTempleteId() {
        switch (DeployPhase.current()) {
            case Local:
                return "407:";
            case Alpha:
                return "569";
            case Sandbox:
                return "1";
            case Beta:
            case Release:
                return "3";
            default:
                return null;
        }
    }

    static void showSendMessageDialog(Context context, final DialogInterface.OnClickListener listener) {
        final String message = context.getString(R.string.send_message);
        new DialogBuilder(context)
                .setMessage(message)
                .setPositiveButton(android.R.string.ok, new DialogInterface.OnClickListener() {
                    @Override
                    public void onClick(DialogInterface dialog, int which) {
                        if (listener != null) {
                            listener.onClick(dialog, which);
                        }
                        dialog.dismiss();
                    }
                }).create().show();
    }
}
