/**
 * Copyright 2014 Daum Kakao Corp.
 *
 * Redistribution and modification in source or binary forms are not permitted without specific prior written permission. 
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kakao.kakaotalk.response;

import com.kakao.auth.network.response.JSONObjectResponse;
import com.kakao.network.response.body.ResponseBody.ResponseBodyException;
import com.kakao.network.response.body.ResponseData;

/**
 * @author leoshin, created at 15. 7. 27..
 */
public class TalkProfileResponse extends JSONObjectResponse {
    final private KakaoTalkProfile profile;
    public TalkProfileResponse(ResponseData responseData) throws ResponseBodyException, ApiResponseStatusError {
        super(responseData);

        this.profile = new KakaoTalkProfile(body);
    }

    public KakaoTalkProfile getProfile() {
        return profile;
    }
}
