package com.kakao.util.helper;

import android.os.Environment;
import android.text.TextUtils;
import android.text.format.DateUtils;

import java.io.File;
import java.util.Locale;

/**
 * @author leoshin on 15. 9. 8.
 */
public class FileUtils {
    public static final String FILE_NAME_AVAIL_CHARACTER = "_";

    public static File getExternalStorageTempDir() {
        File dir = new File(getExternalStorageDataDir(), "tmp");
        if (!dir.exists()) {
            dir.mkdirs();
        }
        return dir;
    }

    public static File getExternalStorageDataDir() {
        File dir = new File(String.format(Locale.US, "%s/Android/data/%s", getExternalStorageDirectory(), "com.kakao.sdk.sample"));
        if (!dir.exists()) {
            dir.mkdirs();
        }

        return dir;
    }

    public static File getExternalStorageDirectory() {
        return Environment.getExternalStorageDirectory();
    }

    public static File getExternalStorageTempFile() {
        return getExternalStorageTempFile(null);
    }

    public static File getExternalStorageTempFile(String format) {
        if (TextUtils.isEmpty(format)) {
            format = "tmp";
        } else {
            format = toFileName(format, FILE_NAME_AVAIL_CHARACTER);
        }
        return new File(getExternalStorageTempDir(), String.format(Locale.US, "temp_%s.%s", System.currentTimeMillis(), format));
    }

    public static String toFileName(String fileName, String newCharacter) {
        return fileName.replaceAll("[\", *, /, :, <, >, ?, \\, |]", newCharacter);
    }
}
